Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 26350

Summary: Property Value too narrow for Event Handlers
Product: platform Reporter: eadams <eadams>
Component: ExplorerAssignee: _ tboudreau <tboudreau>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P3 CC: jrechtacek, tpavek
Version: 3.x   
Target Milestone: 3.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:
Bug Depends on: 29447, 33994    
Bug Blocks:    
Attachments: Event Handler Combo-box size being restricted
Combo box working correctly in another context

Description eadams 2002-08-07 16:15:12 UTC
On a 1024x768 screen, the default width of the
property
values for Event handlers shows just one character
for editing.  This is not usable.  This problem was
made worse by changes that made the Explorer wider,
issue 24380.  This issue is also related to 25935,
where
widening the Explorer has caused the component palette
to not show any beans.

It looks like the width of the values is whatever
space is left over after the property names have
been displayed. 

Its probably better to make the width a fixed
percentage
or a fixed minimum size.
Comment 1 Tomas Pavek 2002-08-07 18:21:51 UTC
This cannot be solved in form editor...
Comment 2 Jiri Rechtacek 2002-12-09 13:30:00 UTC
reassigning to the new subcomponent owner
Comment 3 _ tboudreau 2003-02-20 20:13:36 UTC
Will be fixed with property sheet rewrite (at least the custom
editor button, etc. are smaller, which should afford a bit more
room), plus better use of tooltips in the event the text really
can't be fit.

Adding this issue to the property sheet rewrite umbrella issue.
Comment 4 _ tboudreau 2003-06-27 14:05:07 UTC
FYI the UI spec calls for a 16 pixel gray left margin when
the new property sheet is in sort-by-category mode, so this
may not be fixed by the property sheet rewrite.

At the same time, our fontsize fixes improved the default
preferred size for the property sheet, and split positioning
in things like the output window and property editors that
use a splitter and a property sheet.

If the value is too narrow after the rewrite, I suggest
retargeting this issue against the window system, since 
that's where the default window layout and sizes are
defined (Tomas, this is correct?  AFAIK the GUI Editing
workspace layout is defined in core, not form editor - 
if not true, this issue will probably become yours).

At any rate, the new property sheet will help - the margins
are smaller than they are on the buttons in the existing
sheet.
Comment 5 Tomas Pavek 2003-06-30 08:27:33 UTC
Thanks for update Tim. GUI editing workspace and form editor window
are defined in form module, no more in core. Let's wait how things
will look in the new property sheet as you suggest.  Also fixing issue
26367 should help.
Comment 6 _ tboudreau 2003-07-16 19:47:12 UTC
Fixed - new property sheet committed.  Popup for combo boxes
is *not* restricted to the width of the property - it will be
sized according to its preferred size and positioned to remain
on-screen if invoked near the screen edge.
Comment 7 Marian Mirilovic 2003-07-18 14:41:43 UTC
verified in [nb_dev](20030718)
Comment 8 eadams 2003-07-18 22:45:10 UTC
Great!  Thanks Tim.

Where can I find a build with these changes.  I assume it
not in the nightly trunk build yet.
Comment 9 eadams 2003-07-20 19:20:47 UTC
I tried this with the July 18 Dev Build and it looks
like its not fixed for the situation of Event Handlers
in the Form Editor. 

I recall Tim telling me that the Form Editor property
sheets are special cases so I was somewhat surprised 
(and pleased) to see this one closed as being fixed.

In general, the popup is not limited to the size of the
underlying object, however, for Event Handlers they 
still are.

I'll attach a screen shot snippet showing the problem 
and another one showing the fix working in another context.

If I'm correct, we should re-open this issue.
Comment 10 eadams 2003-07-20 19:21:51 UTC
Created attachment 11039 [details]
Event Handler Combo-box size being restricted
Comment 11 eadams 2003-07-20 19:22:40 UTC
Created attachment 11040 [details]
Combo box working correctly in another context
Comment 12 _ tboudreau 2003-07-21 08:31:18 UTC
The specific issue for the form editor is issue 33994 - 
to stop using the deprecated EnhancedPropertyEditor class.
Comment 13 eadams 2003-07-21 09:16:12 UTC
Ah yes, this bug was about the amount of space left for
typing an event handler name.  That has been much improved
and is about 10 chars now compared to the 1.5 chars before.

Issue 33994 addresses the combo box issue.

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo